---
title: '<xsl:param>'
slug: Web/XSLT/Element/param
tags:
  - Element
  - Reference
  - XSLT
  - param
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:param&gt;</code> element establishes a parameter by name and, optionally, a default value for that parameter. When used as a top-level element, the parameter is global . When used inside an <code>&lt;xsl:template&gt;</code> element, the parameter is local to that template. In this case it must be the first child element of the template.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:param name=NAME select=EXPRESSION&gt;
	TEMPLATE
&lt;/xsl:param&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Names the parameter. This must be a QName.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>select</code></dt>
 <dd>Uses an XPath expression to provide a default value if none is specified.</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Instruction, can appear as a top-level element or within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 11.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
